<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [cat](./bitburner.singularity.cat.md)

## Singularity.cat() method

Displays the content of a file on the currently connected server.

**Signature:**

```typescript
cat(filename: string): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

filename


</td><td>

string


</td><td>

Name of the file to display, including its extension.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 0.5 \* 16/4/1

